Bug 183105 - [69cat] java.io.IOException: java.net.SocketException: Connection reset by peer: socket write error
[69cat] java.io.IOException: java.net.SocketException: Connection reset by pe...
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: execution
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Andrew Krasny
issues@cnd
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-29 16:10 UTC by misterm
Modified: 2010-05-19 06:14 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (712 bytes, text/plain)
2010-03-29 16:10 UTC, misterm
Details

Note You need to log in before you can comment on or make changes to this bug.
Description misterm 2010-03-29 16:10:29 UTC
Build: NetBeans IDE Dev (Build 100326-e60cab7ba054)
VM: Java HotSpot(TM) Client VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_04-b12
OS: Windows XP

Stacktrace: 
java.io.IOException: java.net.SocketException: Connection reset by peer: socket write error
   at com.jcraft.jsch.Channel$1.flush(Channel.java:336)
   at org.netbeans.modules.nativeexecution.pty.SttySupport.post(SttySupport.java:118)
   at org.netbeans.modules.nativeexecution.pty.SttySupport.apply(SttySupport.java:112)
   at org.netbeans.modules.nativeexecution.pty.PtyCreatorImpl$PtyImplementation.masterTIOCSWINSZ(PtyCreatorImpl.java:178)
   at org.netbeans.modules.nativeexecution.pty.IOConnectorImpl$ResizeListener$1.run(IOConnectorImpl.java:144)
   at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1369)
Comment 1 misterm 2010-03-29 16:10:33 UTC
Created attachment 96245 [details]
stacktrace
Comment 2 Marian Mirilovic 2010-03-30 06:47:20 UTC
just guessing ... feel free for reassign ...
Comment 3 Andrew Krasny 2010-05-13 17:15:13 UTC
confirmed
Comment 4 Andrew Krasny 2010-05-13 18:47:11 UTC
http://hg.netbeans.org/cnd-main/rev/45a1f7ac4388
Comment 5 Alexander Simon 2010-05-14 08:04:11 UTC
fix destroyed native executor.
Bug is in method AbstractNativeProcess.exitValue().
Method throw runtime exception for finished Feature.
But set state called from Feature.
Comment 6 Alexander Simon 2010-05-14 08:14:27 UTC
sorry typo:
Method throw runtime exception for not finished Feature (and finished process).
But set state called from Feature and check Feature.isDone() that returns false.
Comment 7 Alexander Simon 2010-05-14 08:24:25 UTC
additional fix, change set:
http://hg.netbeans.org/cnd-main/rev/4fcc07a3d45a
Comment 8 Andrew Krasny 2010-05-14 09:00:58 UTC
Thanks, Alexander for taking care...
Comment 9 Quality Engineering 2010-05-19 06:14:04 UTC
Integrated into 'main-golden', will be available in build *201005182201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/
User: 
Log:


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo